WCSD #6: FRED+ - Absturz im Kampagnen-Editor Thema ist als GELÖST markiert

Bestätigte Fehler von WCS: The Darkest Dawn (Deutsch).

Moderatoren: Joker, Kalumet, MajorSpawn

Forumsregeln
  • Fehler bitte im übergeordneten Forum "Technische Unterstützung" melden. Die Entwickler entscheiden dann, ob es sich um einen Fehler handelt und verschieben das Thema ggf. hierher.
  • Nur Entwickler können hier Themen direkt anlegen. Kommentieren können alle Benutzer.
  • In diesen Themen sind nur Beiträge erlaubt, die den jeweiligen Fehler betreffen. Beiträge und Diskussionen zu anderen Themen sind unerwünscht.
  • Ein Thema wird automatisch gesperrt, wenn das Thema als "Gelöst" markiert wird. Das ist dann der Fall, wenn ein Update mit dem entsprechenden Bugfix veröffentlicht wurde.
Benutzeravatar
Luke
Developer
Developer
Germany
Beiträge: 3072
Registriert: Do 14. Aug 2014, 15:18
Wohnort: Sourcecode
Team-Rang: Entwickler
Fachgebiet: Implementierung
Spezialisierung: Programmierung

WCSD #6: FRED+ - Absturz im Kampagnen-Editor

Beitrag von Luke » Sa 26. Nov 2016, 15:27

Fehler Beschreibung:

Im Kampagnen-Editor war es mit der aktuellen FRED Version 2.0.8.11029 bis zurück zu einschliesslich 1.2.0.10409 nicht mehr möglich eine Kampagnendatei zu laden, da FRED sofort abstürzte.

Ursache:

Es stellte sich heraus, das eine notwendige Änderung der Engine in 1.2.0.10079 den Crash verursachte.

Lösung:

Es wird jetzt geprüft ob die Game-Engine oder die Editor-Engine läuft und dementsprechend die Änderung ignoriert.

Behoben in:

WCSD 1.1.0
Tools: Setup ZIP Check & UnZip / DBST / Pilot Manager / VPT ...und andere
HowTo's: Joystick: Schub und Ruder (Twist) definieren ...und andere
Projekte: Deutsch-Mod / WCS+

"Det jeht nich', da is' keen Platz!"